#!/bin/bash
echo -----------------------------------
echo Using pip to install Python $PY_VER version of onnx
if [ `uname` == Linux ]; then
    if [ "$PY_VER" == "3.6" ]; then
        wheel_url=https://files.pythonhosted.org/packages/70/1e/24174ab7390ae3590d33ef6836880772e02d15b9d69372d92dad268db0c3/onnx-1.9.0-cp36-cp36m-manylinux2010_x86_64.whl
    elif [ "$PY_VER" == "3.7" ]; then
        wheel_url=https://files.pythonhosted.org/packages/3f/9b/54c950d3256e27f970a83cd0504efb183a24312702deed0179453316dbd0/onnx-1.9.0-cp37-cp37m-manylinux2010_x86_64.whl
    elif [ "$PY_VER" == "3.8" ]; then
        wheel_url=https://files.pythonhosted.org/packages/08/75/5d7090900a1c3e94549c93fca829f94e03689ee90519c6d57fc4794ada3d/onnx-1.9.0-cp38-cp38-manylinux2010_x86_64.whl
    elif [ "$PY_VER" == "3.9" ]; then
        wheel_url=https://files.pythonhosted.org/packages/3c/28/da16de13cd725713770f40d2ca5e29e669ec120d417b511db0fe78511f4d/onnx-1.9.0-cp39-cp39-manylinux2010_x86_64.whl
    fi
fi


if ["$wheel_url" == ""]; then
    echo Unsupported Python version $PY_VER.
    exit 1
fi

$PYTHON -m pip install --no-deps $wheel_url -vv

errorlevel=$?
echo $status
echo ERRORLEVEL: $rc
exit $rc

